#ifndef _VERYFORWARD_H_
#define _VERYFORWARD_H_

/*
  ---- Delphes ----
  A Fast Simulator for general purpose LHC detector
  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
  
  Center for Particle Physics and Phenomenology (CP3)
  Universite Catholique de Louvain (UCL)
  Louvain-la-Neuve, Belgium
*/

/// \file SmearUtil.h
/// \brief RESOLution class, and some generic definitions


#include <vector>

#include "SmearUtil.h"
#include "BlockClasses.h"
#include "ExRootTreeBranch.h"
#include "ExRootTreeWriter.h"
#include "H_BeamParticle.h"
#include "H_BeamLine.h"
#include "PhysicsTower.hh"

using namespace std;

class VeryForward {

 public:
  /// Constructor
   VeryForward();
   VeryForward(const string& DetDatacard);
   VeryForward(const RESOLution * DetDatacard);
   VeryForward(const VeryForward& vf);
   VeryForward& operator=(const VeryForward& vf);
   void init();
   ~VeryForward() {delete DET; delete beamline1; delete beamline2;};

   void ZDC(ExRootTreeWriter *treeWriter,ExRootTreeBranch *branchZDC,TRootGenParticle *particle);
   void RomanPots(ExRootTreeWriter *treeWriter, ExRootTreeBranch *branchRP220,ExRootTreeBranch *branchFP420,TRootGenParticle *particle) ;

   bool relative_energy;
   int kickers_on;

 private:
   H_BeamLine* beamline1;
   H_BeamLine* beamline2;
   RESOLution *DET;

};
#endif
